commit:     f96a259c4c0a35962e119b9e72c3b082d5b22175
Author:     Christopher Byrne <salah.coronya <AT> gmail <DOT> com>
AuthorDate: Tue Jan 31 20:46:41 2023 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Wed Feb 15 14:06:11 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f96a259c

app-crypt/tpm2-pkcs11: add 1.9.0

Signed-off-by: Christopher Byrne <salah.coronya <AT> gmail.com>
Signed-off-by: Viorel Munteanu <ceamac <AT> gentoo.org>

 app-crypt/tpm2-pkcs11/Manifest                 |  1 +
 app-crypt/tpm2-pkcs11/tpm2-pkcs11-1.9.0.ebuild | 61 ++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/app-crypt/tpm2-pkcs11/Manifest b/app-crypt/tpm2-pkcs11/Manifest
index 44be70f79ef8..e64fbb9cdf07 100644
--- a/app-crypt/tpm2-pkcs11/Manifest
+++ b/app-crypt/tpm2-pkcs11/Manifest
@@ -1 +1,2 @@
 DIST tpm2-pkcs11-1.8.0.tar.gz 1393977 BLAKE2B 
c959e9e593dde903eac4b26ac85a39d1c73bfb9b6be558d7338dae1a710eb836385b08ddca27689f0573242d40ee072fa5d6685186a50e10ea42b8679389cf92
 SHA512 
599feb4d888c25a3359927b1d408f9ce85ba69d8a0e7af7ae9f3736e8940ec8d5f58b3094bef3b6515c0b1810249ea98cd73dbce592cb63de3b45ff976adda80
+DIST tpm2-pkcs11-1.9.0.tar.gz 1396590 BLAKE2B 
a5880b61463154d8f17549c442c7eca49b7a438335c264022d81fa93079b83633cba8ff8c3377f5829a896e6f5f55688018d8c3a78cb8223a888c7d6bfcaf555
 SHA512 
e88e78790a8d4d5a67713855106860e90dd18da00dc738ca7bfebf7979cdde54ce5089d0be015e7a208117bf393db700ca7739986c5e8138ee0e3b37344614b0

diff --git a/app-crypt/tpm2-pkcs11/tpm2-pkcs11-1.9.0.ebuild 
b/app-crypt/tpm2-pkcs11/tpm2-pkcs11-1.9.0.ebuild
new file mode 100644
index 000000000000..9397bc4f864f
--- /dev/null
+++ b/app-crypt/tpm2-pkcs11/tpm2-pkcs11-1.9.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+PYTHON_REQ_USE="sqlite"
+
+inherit python-single-r1
+
+DESCRIPTION="A PKCS#11 interface for TPM2 hardware"
+HOMEPAGE="https://tpm2-software.github.io/";
+SRC_URI="https://github.com/tpm2-software/tpm2-pkcs11/releases/download/${PV}/${P}.tar.gz";
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64"
+
+IUSE="fapi test"
+REQUIRED_USE="( ${PYTHON_REQUIRED_USE} )"
+
+# Units tests only for now
+RESTRICT="!test? ( test )"
+
+RDEPEND="${PYTHON_DEPS}
+       app-crypt/p11-kit
+       app-crypt/tpm2-abrmd
+       app-crypt/tpm2-tools[fapi?]
+       !fapi? ( app-crypt/tpm2-tss:= )
+       fapi? ( >=app-crypt/tpm2-tss-3.0.1:=[fapi] )
+       dev-db/sqlite:3
+       dev-libs/libyaml
+       dev-libs/openssl:=
+       $(python_gen_cond_dep '
+       dev-python/bcrypt[${PYTHON_USEDEP}]
+       dev-python/cryptography[${PYTHON_USEDEP}]
+       dev-python/pyasn1[${PYTHON_USEDEP}]
+       dev-python/pyasn1-modules[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       dev-python/tpm2-pytss[${PYTHON_USEDEP}]
+       ')
+"
+
+DEPEND="test? ( dev-util/cmocka )
+       ${RDEPEND}"
+BDEPEND="${PYTHON_DEPS}
+       sys-devel/autoconf-archive
+       virtual/pkgconfig"
+
+src_configure() {
+       econf \
+               $(use_enable fapi) \
+               $(use_enable test unit)
+}
+
+src_install() {
+       default
+       python_domodule tools/tpm2_pkcs11
+       python_newscript tools/tpm2_ptool.py tpm2_ptool
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to